Package com.smartgwt.client.widgets.grid.events

# Class SorterContextClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<SorterContextClickHandler>
com.smartgwt.client.widgets.grid.events.SorterContextClickEvent

All Implemented Interfaces:
  `Cancellable`

public class SorterContextClickEvent extends BrowserEvent<SorterContextClickHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SorterContextClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to suppress the context menu
  `protected void`
  `dispatch(SorterContextClickHandler handler)`
  `static <S extends HasSorterContextClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<SorterContextClickHandler>`
  `getAssociatedType()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `static GwtEvent.Type<SorterContextClickHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SorterContextClickEvent

    public SorterContextClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasSorterContextClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<SorterContextClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(SorterContextClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<SorterContextClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<SorterContextClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<SorterContextClickHandler>`

  - ### cancel

    public void cancel()
    Call this method to suppress the context menu
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled